[Kwant-devel] Plotting to PDF broken with matplotlib 1.3.1

Christoph Groth christoph.groth at cea.fr
Thu Sep 10 20:25:34 UTC 2015


While building kwant 1.0.4 packages for Ubuntu, I noticed that the 
documentation does not build on Ubuntu 14.04, the current LTS 
version: [1].  It’s due to the plotting scripts failing to run.

I can reproduce this problem on a VM that runs Ubuntu 14.04.  It 
seems to be due to a commit [2] by Michael that fixes plotting for 
matplotlib >= 1.4.0.

I think we should fix this to keep Kwant working well on current 
Ubuntu LTS as well.
Do the matplotlib experts among you see a way to fix this other 
than having different code paths for different matplotlib 
versions?

[1] 
https://launchpadlibrarian.net/216909714/buildlog_ubuntu-trusty-i386.kwant_1.0.4-1~trusty_BUILDING.txt.gz
[2] 
http://git.kwant-project.org/kwant/commit/?id=5e0f06d3a4081185e4a0e05a80a6495fde0acef1
-------------- next part --------------
A non-text attachment was scrubbed...
Name: smime.p7s
Type: application/pkcs7-signature
Size: 3565 bytes
Desc: not available
URL: <https://mailman-mail5.webfaction.com/pipermail/kwant-devel/attachments/20150910/c39f5c58/attachment.bin>


More information about the Kwant-devel mailing list